Gatana logoGatana Docs
RoutesSkillsSkillidSharesMembertypeMemberid

/skills/{skillId}/shares/{memberType}/{memberId}

Stop sharing a skill with a user or a team and return who it is still shared with

DELETE
/skills/{skillId}/shares/{memberType}/{memberId}
AuthorizationBearer <token>

In: header

Path Parameters

skillId*string
memberType*string

'users' to share with one user account, 'teams' to share with every member of a team

Value in"users" | "teams"
memberId*string

ID of the user or of the team

Length1 <= length

Response Body

application/json

curl -X DELETE "https://YOUR_ORG_ID.gatana.ai/api/v1/skills/string/shares/users/string"
{
  "users": [
    {
      "id": "string",
      "name": "string",
      "email": "string",
      "role": "read"
    }
  ],
  "teams": [
    {
      "id": "string",
      "name": "string",
      "memberCount": 0,
      "role": "read"
    }
  ],
  "inherited": {
    "collectionId": "string",
    "collectionName": "string",
    "visibility": "organization",
    "users": [
      {
        "id": "string",
        "name": "string",
        "email": "string",
        "role": "read"
      }
    ],
    "teams": [
      {
        "id": "string",
        "name": "string",
        "memberCount": 0,
        "role": "read"
      }
    ]
  }
}